Bug 203776 - sealert has typos in command
Summary: sealert has typos in command
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Dennis
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-23 18:07 UTC by Pete Graner
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-24 03:18:13 UTC


Attachments (Terms of Use)

Description Pete Graner 2006-08-23 18:07:16 UTC
Description of problem: When sealert catches a httpd avc message the command it
give to fix the error has a typo.


Version-Release number of selected component (if applicable):
setroubleshoot-0.30-1.noarch


How reproducible: Always


Steps to Reproduce:
1. Set up webserver
2. Change index.html: chcon -t user_home_t index.html
3. Start setroubleshoot service && sealert
4. access via webserver index.html
5. AVC is thrown, caught by sealert
6. Text box under "Denial" section says: ... or use chcon -t http_sys_content_t
7. run chcon -t http_sys_content_t /var/www/html/index.html
8. Watch the error
  
Actual results: Text on box should say "httpd_sys_content_t" not
"http_sys_content_t" its misisng the "d"


Expected results:


Additional info:

Comment 1 John Dennis 2006-08-24 03:18:13 UTC
fixed in httpd_bad_labels.py cvs version 1.5


Note You need to log in before you can comment on or make changes to this bug.